Bug 220282 - Underline isn't rendered at the proper place
Underline isn't rendered at the proper place
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: i18n
Depends On: 206397
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-19 23:18 EST by Jong Bae KO
Modified: 2008-01-15 09:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:40:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jong Bae KO 2006-12-19 23:18:46 EST
+++ This bug was initially created as a clone of Bug #206397 +++

Description of problem:
When you type the Hangul, the underline is appeared on the char, but It isn't
apeared the bottom of the letter. It is 5~10% upper than where I expect apearing
underline in firefox

In my opinion, Underline is useless, becuase Hangul is one letter, and
Windows(ime2002) doesn't have underline.
I might discuss with Korean users or djoo about it.


Version-Release number of selected component (if applicable):
scim-hangul-0.2.2-7.fc6

How reproducible:
always

Steps to Reproduce:
1. run gedit and increase the font size
2. activate the scim-hangul
3. type"rmr" <--"극"
  
Actual results:


Expected results:


Additional info:

-- Additional comment from tagoh@redhat.com on 2006-09-14 01:51 EST --
Well, appearing the underline isn't a bug since scim-hangul uses the preedit.
however rendering it at a character 5~10% upper looks like a Pango or freetype
bug, or font perhaps. reassigning to pango for now.

-- Additional comment from besfahbo@redhat.com on 2006-09-14 11:36 EST --
Attach screenshots please if you can.  And which font is it?  I probably can
reproduce using the font only.

-- Additional comment from jko@redhat.com on 2006-09-14 20:10 EST --
Sorry I can't make screenshots because of pre-editing state.
It is default korean font(Baekmuk), and it is included on FC and RHEL as well

-- Additional comment from sangu@hellocity.net on 2006-09-15 07:46 EST --
Created an attachment (id=136345)
Typing hangul with scim-hangul, Preedit with Underline on gedit.

This problem doesn't happen in nabi or imhangul.
nabi and imhangul are hangul input method.


-- Additional comment from sangu@hellocity.net on 2006-09-19 02:08 EST --
Created an attachment (id=136604)
preedit of scim-hangul on openoffice writer

The same problem happens on openoffice writer.
So this problem isn't pango bug and scim bug.

-- Additional comment from sangu@hellocity.net on 2006-09-19 02:16 EST --
So this problem isn't pango bug but scim bug, maybe.

-- Additional comment from sangu@hellocity.net on 2006-09-19 02:54 EST --
Patch (Default underline preedit attributes is not appropriate) : 
http://sourceforge.net/mailarchive/forum.php?thread_id=30576356&forum_id=43684

-- Additional comment from jko@redhat.com on 2006-09-19 22:30 EST --
The Main problem is SCIM, becuase Hangul doesn't need a underline.
I discussed with sangu and krisna. krisna said that GTK2 and XIM is using
Underline from SCIM, and he said Hangul doesn't need it.

However, Underline should be fixed in Pango as well.

-- Additional comment from sangu@hellocity.net on 2006-09-19 23:00 EST --
See Also : another underline problem in pango - bug 204016

-- Additional comment from petersen@redhat.com on 2006-09-29 12:03 EST --
A patch related to this for gtkimm has been committed upstream:

[Scim-cvs] scim/extras/gtk2_immodule gtkimcontextscim.cpp, 1.170.2.7,	1.170.2.8


-- Additional comment from petersen@redhat.com on 2006-10-02 12:57 EST --
This should be fixed now for the scim gtkimm and xim in scim-1.4.4-35.fc6
with patches from upstream cvs.  Will open another bug for scim-bridge.

-- Additional comment from ryo-dairiki@users.sourceforge.net on 2006-10-07 07:56
EST --
It must be fixed on the cvs latest.
Please try it and tell me if there's a problem. :)

-- Additional comment from jko@redhat.com on 2006-10-13 02:10 EST --
Hi Jens
It is fixed in gedit. what about in firefox? I can still see underline.

scim-1.4.4-35.fc6


-- Additional comment from petersen@redhat.com on 2006-10-16 04:40 EST --
scim-bridge bug is bug 208921.

-- Additional comment from jko@redhat.com on 2006-10-30 22:22 EST --
This bug is appeared on nautilus in RHEL5(rawhide-2006.10.27).

nautilus-2.16.0-7.el5


-- Additional comment from petersen@redhat.com on 2006-11-01 00:11 EST --
(In reply to comment #15)
> This bug is appeared on nautilus in RHEL5(rawhide-2006.10.27).
> nautilus-2.16.0-7.el5

Can you explain?

-- Additional comment from jko@redhat.com on 2006-11-01 19:55 EST --
Hi Jens

Steps to Reproduce:
1. run nautilus and make new folder
2. activate the scim-hangul
3. type"rmrrmr" <--"극극"

It will show underline over the letters.

PS. When you enter key or click mounse, Last letter doesn't included in folder
name. bug 207026

 



-- Additional comment from petersen@redhat.com on 2006-11-01 20:26 EST --
(In reply to comment #17)
> It will show underline over the letters.

I think you need to be running scim-bridge-0.4.5-4 or later

> PS. When you enter key or click mounse, Last letter doesn't included in folder
> name. bug 207026

207026 seems to be a different bug.

-- Additional comment from jko@redhat.com on 2006-11-01 20:40 EST --
It is fixed in scim-bridge-0.4.5-4.el5
Thanks Jens

207062 is a different bug.
Comment 1 Jong Bae KO 2006-12-19 23:23:57 EST
Other applications(gedit, oowriter & nautilus) are fixed except Firefox, 
so I clone as bug for firefox.
Comment 2 Matěj Cepl 2007-12-10 04:23:14 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 3 Matěj Cepl 2008-01-15 09:40:15 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.